Instalando MPlayer + GUI-GMPlayer + Skin + Codecs + fonts para Linux

Este artigo se destina as pessoas que tem ou tiveram alguma dificuldade para instalar o GMPlayer. O sistema utilizado é Slackware 10.2, mas não há problemas na instalação em outras distros.

[ Hits: 154.363 ]

Por: Luis Felipe Gerhardt em 29/03/2006 | Blog: http://www.vivaolinux.com.br


Introdução e links para download



A instalação do MPlayer de maneira correta pode ser um pouco trabalhosa, elaborei esse artigo/tutorial para resolver este "problema". ;-)

Para começar vamos convencionar dois símbolos:
  • # = super usuário (root);
  • $ = usuário comum.

Baixe os pacotes necessários:

MPlayer-1.0pre7try2:
http://www1.mplayerhq.hu/MPlayer/releases/MPlayer-1.0pre7try2.tar.bz2

Codecs do MPlayer:
http://www1.mplayerhq.hu/MPlayer/.../essential-20050412.tar.bz2

Skin do MPlayer (GUI-Gmplayer não funciona se você não tiver instalado nenhum skin):
http://www1.mplayerhq.hu/MPlayer/Skin/plastic-1.2.tar.bz2

Fontes para legendas no GUI-Gmplayer:
http://www2.mplayerhq.hu/MPlayer/.../font-arial-iso-8859-1.tar.bz2

PS.: Estas são as últimas versões disponíveis no site do MPlayer em 16/02/2006, talvez já existam versões mais recentes. Se quiser verificar, vá ao site do MPlayer:
    Próxima página

Páginas do artigo
   1. Introdução e links para download
   2. Instalando os Codecs
   3. Instalando o MPlayer corretamente
   4. Instalando o Skin e as fontes
   5. Últimos ajustes
Outros artigos deste autor

Instalando impressoras HP

Instalando scanners com SANE

Instalando e configurando o SpamAssassin

Leitura recomendada

Instalando e usando o linphone no Slackware

Integração Contínua com Jenkins - Instalação (Parte 1)

VirtualBox no GNU/Linux - Instalação manual

Um tour pelos gerenciadores de downloads/uploads do Linux

Nagios e Cacti no CentOS 6.x - Instalação, configuração e integração das ferramentas

  
Comentários
[1] Comentário enviado por m3ocs-d4rksun em 29/03/2006 - 13:31h

uso slackware 10.2...
quanto tentei compilar ele não consegui. ocorreu tudo certo no configure até, mas não deu para compilar. estranho por que nas outras vezes eu instalei ele sem problemas. agora estou usando os pacotes .tgz, mas compilado é melhor, tem melhor desempenho.

[]s darksun

[2] Comentário enviado por Nick em 29/03/2006 - 19:59h

Vou tentar do teu modo aki...pq eu fiu instalar no Debian do modo convencional e deu merda! Ja posto o resultado. Parabens pelo tópico!

[3] Comentário enviado por Nick em 29/03/2006 - 21:17h

Parabens!!! Funcionou aki!!!

[4] Comentário enviado por coffnix em 30/03/2006 - 08:51h

oi... não seria melhor usar os tgz's???????

MPLAYER

http://www.linuxpackages.net/pkg_details.php?id=8125

CODEC

http://www.linuxpackages.net/pkg_details.php?id=7635

PLUGIN PARA FIREFOX

http://www.linuxpackages.net/pkg_details.php?id=8773

LAME

http://www.linuxpackages.net/pkg_details.php?id=8497



abração!!!

[5] Comentário enviado por pedemesa em 30/03/2006 - 14:51h

Tudo bem usar os tgz, mas talvez quem for instalar o mplayer não utilize Slackware, então fiz este artigo de maneira que seja possĩvel instalar em qualquer distro, pelo menos essa foi a intenção.
Outra é que se vocë compilar os pacotes o desempenho é superior do que simplesmente instalar os tgz's, sem falar que as vezes eles não funcionam bem, justamente por não terem sido compilados para a sua instalação.

[6] Comentário enviado por coffnix em 30/03/2006 - 15:35h

discordo totalmente de vc!!!os tgz's tem um desempenho igual ou superior a compilação (teste de desempenho confirma isso).

basta baixar os pctes da sua versão.


quanto à ele funcionar em qualquer distro.... concordo totalmente tb!

fflw

[7] Comentário enviado por foxmcloudy em 30/03/2006 - 19:43h

Muito bom o tutorial, aqui "QUASE" funcionou, mas, se eu usar ./configure vai de boa, porém, se eu usar ./configure --enable-gui ..... da o seguinte erro:

Checking for GTK version ...
Error: The GUI requires GTK devel packages (which were not found).

:( não consigo descobrir qual pacote instalar para resolver isso, alguém sabe ?

vlws!

[8] Comentário enviado por pedemesa em 30/03/2006 - 21:07h

Pelo que me parece tens que instalar uma versão mais recente do GTK...

[9] Comentário enviado por Nick em 31/03/2006 - 14:59h

A unica merda do Mplayer é qdo vc da pause ele pausa, mas qdo vc despausa, o filme recomeça do inicio... Ai quebra as perna...
Valew

[10] Comentário enviado por zezosc em 31/03/2006 - 20:33h

Instalando dessa forma e com esses codecs. o MPlayer toca filmes MPEG-4 (mp4)?

[11] Comentário enviado por isaac em 01/04/2006 - 10:58h

Se você acionar a tecla de espaço, você consegue dar uma pausa no filme, sem voltar para o início.
Um problema que eu notei no Mplayer é que o texto das legendas .srt, ficam zuadas.
A palavra coração, por exemplo, fica corÇão.? na tela.

[12] Comentário enviado por coffnix em 01/04/2006 - 11:04h

na real?? mplayer já era!!! usem o kafeine

slackware: http://www.linuxpackages.net/pkg_details.php?id=7618

flw

[13] Comentário enviado por isaac em 01/04/2006 - 11:46h

O Kaffeine também tem um bug.
Se você ficar avançando ou retrocendo o filme, através daquele controle deslizante dele no fundo da tela, ele trava geral.

[14] Comentário enviado por coffnix em 02/04/2006 - 13:04h

isaac, nunca ocorreu isso comigo.......


sempre instalei o tgz do kaffeine e sempre deu certo!
sempre usei os codecs win32 mais atuais possíveis!

[15] Comentário enviado por pedemesa em 03/04/2006 - 19:44h

Cara, Kaffeine? bom... gostos não se discutem, mas o MPlayer tem o projeto ativo e na minha opinião é mais bonito... nunca vi direito o Kaffeine então não posso nem falar muito... mas como eu disse, gostos são gostos e eu gosto do MPlayer...

[16] Comentário enviado por nick em 11/04/2006 - 23:54h

Man, deu um probleminha aki...
Toda vez que eu abro algum video, o mesmo nao fica em tela cheia, mesmo escolhendo o modo "fullscreen". Antes ficava... Agora fica só uma telinha, mesmo tudo maximizado e configurado....

[17] Comentário enviado por nick em 23/04/2006 - 09:18h

Iae? Ninguem tem a resposta?

[18] Comentário enviado por pedemesa em 24/04/2006 - 13:31h

Tenta selecionar o X11 como outpot de video!!!

[19] Comentário enviado por brancolareira em 27/04/2006 - 10:46h

eu instalei ele (mplayer) pelo apt, mas estavam ocorrendo erros em relação os codecs win32 e a fonte para a legenda. Aí só baixei os arquivos q vc disponibilizo os link's, criei a pasta "font" no caminho /usr/share e colei os arquivos descompactados da fonte escolhida. Criei outra pasta chamada win32 no caminho /usr/lib/ e descompactei os arquivos dos codecs ali dentro. Pronto, meu Mplayer ta muito bala agora!!!
Me ajudou muito esse artigo!!! brigadão aí pedemesa!!!

[20] Comentário enviado por pedemesa em 27/04/2006 - 11:10h

OK, de nada, é sempre muito bom poder ajudar.
Não me aguento e tenho que largar uma:
É por isso que eu prefiro compilar os pacotes! Mas... como já disse, gostos são gostos...

[21] Comentário enviado por ihtraum em 07/05/2006 - 00:15h

pedemessa, acho que já postei isso, vai desculpando se sim.
eu tive um problema na hora de instalar os fontes e os skins.
o diretório que você pediu pra criar, não foi possível, pois o caminho onde ele ficaria não existe. e eu não usei a opção --prefix na instalação.

quando eu dei aqui um whereis mplayer obtive o seguinte resultado:

mplayer: /etc/mplayer /usr/local/bin/mplayer /usr/local/etc/mplayer /usr/local/lib/mplayer

então: onde instalar os fontes e skins??
por favor, dê uma idéia.

[22] Comentário enviado por ihtraum em 07/05/2006 - 16:05h

eh, o whereis não é o comando mais indicado. se alguém me informar um outro comando mais eficiente, eu agradeceria.

pronto, essa parte que eu falei que não conseguia fazer por não encontrar o caminho especificado, foi superado. agora sim, meu mplayer tá funfando legal.
agora, vou tentar instalar o mplayerplug-in, pra poder assistir videos direto do browser.
valeu.

[23] Comentário enviado por brancolareira em 11/05/2006 - 09:45h

não consegui no suse 10.0!! quando do o ./configure --enab....... ele diz q meu gcc é bad, minha versão do gcc é 4.0.2, ele diz q é pra eu instala uma versão do gcc 3.X!!! aí eu do o ./configure --ena......... com a opção --disable-gcc-checking e ele me da esse erro Error: X11 support required for GUI compilation.
Alguém tem uma idéia do q eu posso fazer! será q vo te q instala uma versão mais velha do gcc? tem idéia pedemesa?
abraços!

[24] Comentário enviado por pedemesa em 11/05/2006 - 18:24h

Cara, não sei te dizer bem porque isso tá acontecendo... mas eu sempre usei uma versão 3.x para instalar... dai não passei por esse problema... Estranho que você tem uma versão mais recente e não funfa... a menos que seja uma versão beta, não sei... talvez seja um bug do próprio gcc, não sei te dizer bem porque... tô chutando... tenta com uma versão 3.x cara.! Abraço!

[25] Comentário enviado por marcosgomes em 16/05/2006 - 11:48h

Muito bom! Funcionou

[26] Comentário enviado por marcosgomes em 31/05/2006 - 16:52h

Comentário enviado por pedemesa em 11/05/2006:

Cara, não sei te dizer bem porque isso tá acontecendo... mas eu sempre usei uma versão 3.x para instalar... dai não passei por esse problema... Estranho que você tem uma versão mais recente e não funfa... a menos que seja uma versão beta, não sei... talvez seja um bug do próprio gcc, não sei te dizer bem porque... tô chutando... tenta com uma versão 3.x cara.! Abraço!

"Remova a opção --enable-gui option do configure"

[27] Comentário enviado por pedemesa em 31/05/2006 - 17:08h

"Remova a opção --enable-gui option do configure"
mas sem esta opção não será possível usar o gmplayer, ou seja o mplayer em modo gráfico.

[28] Comentário enviado por marcosgomes em 31/05/2006 - 18:22h

Comentário enviado por pedemesa em 31/05/2006:

"Remova a opção --enable-gui option do configure"
mas sem esta opção não será possível usar o gmplayer, ou seja o mplayer em modo gráfico.

Realmente vc tem razão!
Instale a libxv.dev"
depois: ./configure --language=pt_BR --enable-gui --with-codecsdir=/usr/lib/codecs --with-win32libdir=/usr/lib/codecs



[29] Comentário enviado por xfabi0x em 17/07/2006 - 15:26h

Show de bola, funcionou perfeitamente!!

NOTA 10!

[30] Comentário enviado por ba em 14/08/2006 - 14:27h

Exelente artigo depois de muitos e muitos dias pesquisando na internet achei este quebrou um galhão!!! Funcionou perfeitamente!
Parabéns...


.:: bA

[31] Comentário enviado por robson..pba em 19/08/2006 - 13:54h

Galera removi a meu gcc que estava com a versão 4.0.1 e preciso instalar a versão 2.95 ou 3.x como eu faço isso ???
Conto com vocês..


[32] Comentário enviado por pedemesa em 21/08/2006 - 10:01h

Bah cara, uma vez eu fiz isso e não consegui mais compilar o gcc que eu queria instalar, porque não tinha nenhum gcc pra compilar coisa alguma... bom, eu tinha removido ele... hehe... O gcc é um compilador de C... a única coisa que me resolveu o problema foi reinstalar o sistema... sinceramente não conheço isso muito bem... mas acredito que haja alguma outra maneira de resolver... talvez se você conseguir um pacote já compilado... sei lá, algo assim deve resolver... tomara que alguém possa te ajudar mais do que eu posso...
Ahhh e se souber como se resolve isso, me avisa... é bem interessante saber...

[33] Comentário enviado por Odin em 04/10/2006 - 15:10h

Aqui na hora de compilar ele da erro na interface gráfica falando que não tem o libpng e libpng-dev.

[34] Comentário enviado por gilmargmppta em 25/10/2006 - 06:05h

eu instalei plugins na maquina e rodou blz, o mplayer é ruinzinho, o kaffeine quando não é nativo do sistama tb dá uns bug, mas ainda dá de 10 no mplayer

[35] Comentário enviado por evilrick em 26/12/2006 - 15:03h

Estou usando Ubuntu 6.06 (dapper)
Tentei fazer a instalação seguindo o artigo.
Ele roda o ./configure bonitinho (depois de desabilitar a checagem do gcc). Mas na hora do Make ele termina com um tal Error 1. Só que eu não faço idéia do que seja.

Alguém poderia me dar uma ajuda, por favor?

ps: adiantando pra evitar uma pergunta futura: Onde eu coloco as fontes e as skins?

[]'s a todos.

[36] Comentário enviado por pedemesa em 26/12/2006 - 15:41h

Opa! Blz?!
Bom, em primeiro lugar eu te aconselho a instalar o Mplayer pelos repositórios do Ubuntu... o pessoal do Ubuntu as vezes faz alterações nos pacotes e por isso os pacotes deles funcionam legal!

[37] Comentário enviado por evilrick em 26/12/2006 - 23:52h

Nick:
Eu estava com o mesmo problema que vc (video não preencher a tela no fullscreen). É tranqüilo pra resolver isso, amigo:
abra o arquivo ~/.mplayer/config em algum editor de texto e adicione a linha:

zoom="yes"

Salve e teste.

Abraços.

[38] Comentário enviado por pedemesa em 27/12/2006 - 14:22h

Para resolver isso eu simplesmente passei a utilizar o XV com saída de vídeo. A única coisa é que o XV só funciona se o xorg estiver configurado certinho... Com a placa de vídeo certa e talz...

[39] Comentário enviado por alfadivision em 04/01/2007 - 11:08h

Pessoal eu utilizo o slackware 11 e funcionou certinho !!! é só acompanhar os passos que o mestre Luiz Felipe recomenda no tutorial .
Um abraço.

[40] Comentário enviado por akira2 em 13/02/2007 - 13:43h

quando eu compilo o Mplayer
"make"
da esse erro aqui olha

vobsub.c:231: error: conflicting types for 'getline'
/usr/include/bits/stdio.h:103: error: previous definition of 'getline' was here
make: *** [vobsub.o] Error 1

x(

alguem pode me ajudar? ??

[41] Comentário enviado por rsozza em 13/02/2007 - 18:08h

akira, esqueci de perguntar qual distro esta usando?

[42] Comentário enviado por akira2 em 14/02/2007 - 09:16h

to usando slackware 11

[43] Comentário enviado por leandronizio em 05/03/2007 - 12:38h

Estes procedimentos de instalação do MPlayer funcionam no Linux Ubuntu sem problemas?

[44] Comentário enviado por pedemesa em 05/03/2007 - 13:29h

Devem funcionar. Na verdade devem funcionar para qualquer distro, afinal você vai estar compilando o software. Mas se você vai instalar no Ubuntu, por que não instala pelo APT?

[45] Comentário enviado por defiter2507 em 29/03/2007 - 16:22h

Excelente achado. Obrigado pela elucidação. Há dias tenho penado pra instalar o MPlayer. Ainda não instalei porque ainda encontro um problema. Na sua seqüência há os ícones # e $. Sei o que significam, foi explicado, mas não consegui "controlá-los" na minha tela de terminal, tenho tido um grande trabalho para conseguir a "permissão" de super usuário. Como faço para ir mudando assim livremente (como parece que é pela suas dicas).

[46] Comentário enviado por defiter2507 em 29/03/2007 - 23:25h

Esqueça, resolvi meu problema, mas apareceu outro. Na hora de desempacotar os codecs manda a seguinte mensagem:

tar: essential-20061022.tar.bz2: Não é possível open: Arquivo ou diretório inexistente
tar: Erro não é recuperável: saindo agora
tar: Child returned status 2
tar: Saída por erro atrasada pelos erros anteriores

Esse é o codec disponível no momento.

Desempacotando ele no desktop, com o botão direito do mouse, passo à próxima etapa imaginando que a anterior foi cumprida por outros meios. Vem uma nova mensagem alegando que -r é uma opção ilegal e dá uma listinha de outros -letra. Tentei copiar e colar mas é impossível, a pasta codecs não aceita.

Que faço? sou usuário do ubuntu, será que isso faz alguma diferença? Sou muito cru em Linux, antes de qualquer coisa, pra mim, é mais fácil ir pelo terminal onde tenho esse guia do que pelo APT que não vou saber usar direito a menos que tenha um guia também.

[47] Comentário enviado por pedemesa em 30/03/2007 - 10:19h

Já tentaste baixar o arquivo novamente? me parece um problema no pacote... ou quem sabe você está tentando descompactar em um local onde o usuário não tem permissão... Qualquer coisa posta de novo ai que tentamos ajudar!

[48] Comentário enviado por yzak em 28/04/2007 - 13:01h

Parabéns pelo artigo!

Aqui funcionou tudo ok.

Só vai uma dica para as pessoas: procurem instalar a versão mais atualizada do mplayer.

Abraçoe e continue escrevendo.

[49] Comentário enviado por kledantas em 16/07/2007 - 14:58h

Aew galera... me deparei com um error no Kaffeine..
Se alguem puder me ajudar mostrando qual pacote instalar para que o kaffeine funcione..

"Um problema ocorreu durante a inicialização das bibliotecas divxc32.dll"

Grato.

[50] Comentário enviado por pedemesa em 18/07/2007 - 15:32h

Cara no Kaffeine eu não sei, mas se você quiser instalar o MPlayer dá uma olhada no artigo ai. Eu sinceramente prefiro o MPlayer ao Kaffeine. Abraço!

[51] Comentário enviado por gsr em 23/08/2007 - 02:01h

ola pessoal

to com um problema parecido com o do ihtraum, em 07/05/2006 - 00:15h: , na hora em que eu vou instalar o skin, nao vai, percebi que dentro do share nao tem a pasta mplayer, entao logo nao tem como fazer o que o pdemesa ensina, eu nao usei o tal prefixo, e nem sei oq é, entrei agora no mundo LINUX

aparece isso:

# mkdir /usr/share/mplayer/Skin/default
mkdir: cannot create directory `/usr/share/mplayer/Skin/default': No such file or directory

# whereis mplayer
mplayer: /usr/local/bin/mplayer /usr/local/etc/mplayer /usr/local/lib/mplayer"

eu uso o slackware 12

alguem pode me ajudar???

valeu, t+

[52] Comentário enviado por pedemesa em 27/08/2007 - 16:37h

Opa gsr,

Cara, na pasta "~/.mplayer" existe esta pasta também, mas nesse caso os skin só servirão para o seu usuário.
Outra alternativa seria ver se existe a pasta Skin nos diretórios /usr/local/etc/mplayer e /usr/local/lib/mplayer se houver é lá que você deve criar a pasta default.

Abraço,

[53] Comentário enviado por rafa-ctba em 23/10/2007 - 09:34h

Quando dou o comando:

./configure --enable-gui --with-codecsdir=/usr/lib/codecs --with-win32libdir=/usr/lib/codecs

Ele me retorna o seguinte:

Unknown parameter: --with-codecsdir=/usr/lib/codecs


Como posso resolver isso?
Desde já agradeço

[54] Comentário enviado por rafa-ctba em 24/10/2007 - 15:11h

Alguem?

[55] Comentário enviado por pedemesa em 25/10/2007 - 09:53h

rafa-ctba,

Tente verificar no "./configure --help" se ainda existe esta opção. Pode ser que você esta instalando uma versão mais atual e que o nome da opção mudou. Mesmo assim ainda deve existir alguma opção semelhante, talvez "--codecsdir=".
Se não resolver, poste novamente aqui que agente tenta ajudar assim que possível.
Desculpe a demora, ando bastante ocupado.

Abraço,

[56] Comentário enviado por rafa-ctba em 27/10/2007 - 10:40h

Não tem porquê se desculpar, muito pelo contrário, eu já havia conferido no ./configure --help mas não sabia o que procurar é exatamente o que você falou, e deu tudo certo.
Muito obrigado

[57] Comentário enviado por isabelacolucci em 23/05/2008 - 10:54h

Link para codec quebrado!

Segue um funcional: http://www4.mplayerhq.hu/MPlayer/releases/codecs/essential-20071007.tar.bz2


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts